from django import template
from settings.models import SiteSettings

register = template.Library()


@register.tag('load_site_settings')
def load_site_settings(parser, token):
    return LoadSiteSettingsNode()


class LoadSiteSettingsNode(template.Node):
    def render(self, context):
        context['site_settings'] = SiteSettings.get_settings()
        return ''
