from django.shortcuts import render
from settings.models import SiteSettings


def home(request):
    settings, _created = SiteSettings.objects.get_or_create()
    return render(request, "home.html", {
        'upload_allowed': settings.allow_upload,
        'message': settings.home_message,
        'poster': settings.event_poster,
    })
